package com.sillycycle.bagleyd.util;

/*
 * @(#)CellInfo.java
 *
 * Copyright 2008 - 2016  David A. Bagley, bagleyd AT verizon.net
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * The <code>CellInfo</code> class handles the field of cells.
 *
 * @author	David A. Bagley
 * @author	bagleyd AT verizon.net
 * @author	https://www.sillycycle.com/life.html
 */

public class CellInfo {
	private int position;
	private byte cell;
	private byte temp;
	//private float distance;

	public CellInfo(int position, byte cell, byte temp) {
		setPosition(position);
		setCell(cell);
		setTemp(temp);
		//setDistance(distance);
		//packed = 0;
		//packed += ((age & 0xFF) << 3); // 8 bits
		//packed += ((state & 0x3) << 1); // 2 bits, can hold 4 states
	}

	public CellInfo(int position) {
		setPosition(position);
	}

	public CellInfo(int position, byte cell) {
		setPosition(position);
		setCell(cell);
		//packed = ((state & 0x3) << 1); // 2 bits, can hold 4 states
	}

	protected String paramString() {
		return "position=" + position +
		",cell=" + getCell() +
		",temp=" + getTemp();
		//",distance=" + getDistance();
	}

	public int getPosition() {
		return position;
	}

	// Calling it cell rather than age or state because if its multistate
	// it can store state info rather than age
	public byte getCell() {
		return cell;
	}

	public byte getTemp() {
		return temp;
	}

	/*public float getDistance() {
		return distance;
	}*/

	public final void setPosition(int position) {
		this.position = position;
	}

	public final void setCell(byte cell) {
		this.cell = cell;
		//packed = ((age & 0xFF) << 3) |
		//	(~(0xFF << 3)) & packed; // 8 bits
	}

	public final void setTemp(byte temp) {
		this.temp = temp;
	}

	/*public void setDistance(float distance) {
		this.distance = distance;
	}*/
}
